DROP TABLE IF EXISTS inseeall;
CREATE TABLE `inseeall` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `nomprenom` varchar(80) DEFAULT NULL,
  `sexe` varchar(1) DEFAULT NULL,
  `datenaiss` varchar(8) DEFAULT NULL,
  `lieunaiss` varchar(5) DEFAULT NULL,
  `commnaiss` varchar(30) DEFAULT NULL,
  `paysnaiss` varchar(30) DEFAULT NULL,
  `datedeces` varchar(8) DEFAULT NULL,
  `lieudeces` varchar(5) DEFAULT NULL,
  `actedeces` varchar(9) DEFAULT NULL,
  `src` varchar(4) DEFAULT NULL,
  `ercode` int(4) DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

truncate table inseeall;

LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1970.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1970', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1971.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1971', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1972.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1972', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1973.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1973', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1974.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1974', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1975.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1975', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1976.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1976', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1977.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1977', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1978.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1978', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1979.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1979', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1980.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1980', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1981.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1981', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1982.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1982', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1983.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1983', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1984.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1984', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1985.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1985', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1986.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1986', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1987.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1987', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1988.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1988', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1989.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1989', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1990.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1990', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1991.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1991', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1992.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1992', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1993.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1993', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1994.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1994', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1995.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1995', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1996.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1996', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1997.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1997', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1998.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1998', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-1999.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='1999', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2000.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2000', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2001.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2001', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2002.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2002', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2003.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2003', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2004.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2004', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2005.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2005', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2006.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2006', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2007.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2007', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2008.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2008', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2009.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2009', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2010.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2010', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2011.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2011', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2012.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2012', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2013.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2013', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2014.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2014', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2015.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2015', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2016.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2016', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2017.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2017', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2018.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2018', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2019.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2019', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/deces-2020.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2020', commnaiss=substring(Trim(@cnai),1,30);


LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/Deces_2021_M01.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2021', commnaiss=substring(Trim(@cnai),1,30);

LOAD DATA INFILE 'e:/Documents/CovidInsee/Fichiers sources/Insee/Deces_2021_M02.csv'
INTO TABLE inseeall
FIELDS TERMINATED BY ';'
ENCLOSED BY '"'
LINES TERMINATED BY '\r\n'
IGNORE 1 ROWS
(@np,sexe,datenaiss,lieunaiss,@cnai,paysnaiss,datedeces,lieudeces,actedeces)
Set nomprenom=substring(Trim(@np),1,80), src='2021', commnaiss=substring(Trim(@cnai),1,30);

/*Création des index*/
ALTER TABLE `mortalite`.`inseeall` 
ADD INDEX `nomprenom` (`nomprenom` ASC),
ADD INDEX `datenaiss` (`datenaiss` ASC),
ADD INDEX `datedc` (`datedeces` ASC),
ADD INDEX `composite` (`sexe` ASC, `datenaiss` ASC, `lieunaiss` ASC, `datedeces` ASC, `lieudeces` ASC, `actedeces` ASC),
ADD INDEX `lieunaiss` (`lieunaiss` ASC),
ADD INDEX `lieudc` (`lieudeces` ASC),
ADD INDEX `ErCode` (`ercode` ASC);


/*Creation de Ecgen*/

DROP TABLE IF EXISTS ecgen;

CREATE TABLE `ecgen` (
  `idec` int(11) NOT NULL AUTO_INCREMENT,
  `nomprenom` varchar(80) DEFAULT NULL,
  `sexe` varchar(1) DEFAULT NULL,
  `datenaiss` varchar(8) DEFAULT NULL,
  `lieunaiss` varchar(8) DEFAULT NULL,
  `datedeces` varchar(8) DEFAULT NULL,
  `lieudeces` varchar(5) DEFAULT NULL,
  `id` int(11) DEFAULT NULL,
  `actedeces` varchar(9) DEFAULT NULL,
  PRIMARY KEY (`idec`),
  KEY `id` (`id`),
  KEY `Tout` (`nomprenom`,`sexe`,`datenaiss`,`lieunaiss`,`datedeces`,`lieudeces`,`actedeces`)
) ENGINE=InnoDB AUTO_INCREMENT=192733 DEFAULT CHARSET=utf8;


####################################################################
#                     MARQUAGE DES ERREURS                         #
####################################################################

/* Reset ErCode */
Update Inseeall set Ercode=0 where ErCode<>0;

####################################################################
#   Ec11 Actedeces vide                                             #
####################################################################
update inseeall set Ercode=11 where actedeces="";

####################################################################
#   Ec10 Lieu naissance vide                                       #
####################################################################
Update Inseeall set Ercode=10 where lieunaiss="" or lieunaiss is null;

/*
####################################################################
#   Ec5 : Date Naissance = xxxx xx 00                              #
####################################################################
*/
Update Inseeall set ErCode=5 where Substring(datenaiss,7,2)="00";

/*
####################################################################
#   Ec4 : Date Naissance = xxxx 00 xx                              #
####################################################################
*/
Update Inseeall set ErCode=4 where Substring(datenaiss,5,2)="00";

/*
####################################################################
#   Ec8 : Date décès = xxxx xx 00                              #
####################################################################
*/
Update Inseeall set ErCode=8 where Substring(datedeces,7,2)="00";

/*
####################################################################
#   Ec7 : Date décès = xxxx 00 xx                              #
####################################################################
*/
Update Inseeall set ErCode=7 where Substring(datedeces,5,2)="00";

/*
####################################################################
#   Ec6 : Date décès = 00000000                                #
####################################################################
*/
Update Inseeall set ErCode=6 where datedeces="00000000";

/*
####################################################################
#   Ec1 : décès intervenu avant la naissance                       #
####################################################################
*/
Update Inseeall set ErCode=1 Where datenaiss>datedeces;

/*
####################################################################
#   Ec2 : Date Décès incomplète                                    #
####################################################################
*/
Update Inseeall Set ErCode=2 where length(trim(datedeces))<8;

####################################################################
#   Ec9 Lieu décès vide                                            #
####################################################################
Update Inseeall set Ercode=9 where lieudeces="" or lieudeces is null;

/*
####################################################################
#   Ec3 : Date Naissance = 00000000                                #
####################################################################
*/
Update Inseeall set ErCode=3 where datenaiss="00000000" or Length(datenaiss)<>8;

/*
#######################################################################
#  Ec104 - Double (nomprenom, sexe, datenaiss, lieunaiss, datedeces)  #
#######################################################################
*/

/* EXPLICATION (ne sera pas répétée pour tous les codes 100)

Nous avons une table intermédiaire, EcGen, nous allons y insérer toutes les fiches de la table InseeAll 
correspondant au critère de regroupement (soit une ligne par doublon parfait).

Ensuite à l'étape "ajoute du champ id dans EcGen", nous allons reprendre les mêmes critères de regroupement et procéder au 
positionnement du champ id sur ce même regroupement, soit UN id parmi la liste.

Ensuite nous allons, dans InseeAll, pour tous les ID qui ne SONT PAS celui repris dans EcGen, mettre le Ercode à jour, ce qui nous permet de 
ne retenir comme valide qu'une seule fiche et marquer les autres en doublon...

*/

/* Peuplement de Ecgen */
truncate table ecgen;

insert into ecgen
select NULL as idec, nomprenom, sexe, datenaiss, lieunaiss, datedeces, lieudeces,0,NULL from Inseeall
group BY
nomprenom, sexe, datenaiss, lieunaiss, datedeces
HAVING  
COUNT(*)>1;

/*Ajoute du champ Id dans Ecgen*/
update ecgen inner join Inseeall on
(
Inseeall.nomprenom=ecgen.nomprenom AND Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces 
)
set ecgen.id=Inseeall.id;

/*Positionnement du champ ErCode dans Inseeall pour toutes les fiches dont l'Id n'est pas celle de Ecgen*/
update ecgen inner join Inseeall on 
(
Inseeall.nomprenom=ecgen.nomprenom AND Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces
)
set Ercode=104
Where Inseeall.id<>Ecgen.id;

/*
#######################################################################
#   Ec103 - Double (sexe datenaiss, lieunaiss, datedeces, lieudeces)  #
#######################################################################
*/

/* Peuplement de Ecgen */
truncate table ecgen;

insert into ecgen
select NULL as idec, "", sexe, datenaiss, lieunaiss, datedeces, lieudeces,0,NULL from Inseeall
group BY
sexe, datenaiss, lieunaiss, datedeces, lieudeces
HAVING  
COUNT(*)>1;

/*Ajoute du champ Id dans Ecgen*/
update ecgen inner join Inseeall on
(
Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND Inseeall.lieudeces=ecgen.lieudeces
)
set ecgen.id=Inseeall.id;

/*Positionnement du champ ErCode dans Inseeall pour toutes les fiches dont l'Id n'est pas celle de Ecgen*/
update ecgen inner join Inseeall on 
(
Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND Inseeall.lieudeces=ecgen.lieudeces
)
set ercode=103 
where inseeall.id<>ecgen.id;

/*
##################################################################################
#  Ec102 - Double (sexe, datenaiss, lieunaiss, datedeces, lieudeces, actedeces)  #
##################################################################################
*/

/* Peuplement de Ecgen */
truncate table ecgen;

insert into ecgen
select NULL as idec, "", sexe, datenaiss, lieunaiss, datedeces, lieudeces,0,actedeces from Inseeall
group BY
sexe, datenaiss, lieunaiss, datedeces, lieudeces,actedeces
HAVING  
COUNT(*)>1;

/*Ajoute du champ Id dans Ecgen*/
update ecgen inner join Inseeall on
(
Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND Inseeall.lieudeces=ecgen.lieudeces
AND Inseeall.actedeces=ecgen.actedeces
)
set ecgen.id=Inseeall.id;

/*Positionnement du champ ErCode dans Inseeall pour toutes les fiches dont l'Id n'est pas celle de Ecgen*/
update ecgen inner join Inseeall on 
(
Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND Inseeall.lieudeces=ecgen.lieudeces
AND Inseeall.actedeces=ecgen.actedeces
)
set ercode=102 
where inseeall.id<>ecgen.id;

/*
######################################################################################
# Ec101 - Double (nomprenom, sexe, datenaiss, lieunaiss[2], datedeces, lieudeces[2]) #
######################################################################################
*/

/* Peuplement de Ecgen */
truncate table ecgen;

insert into ecgen
select NULL as idec, nomprenom, sexe, datenaiss, substring(lieunaiss,1,2), datedeces, substring(lieudeces,1,2),0,NULL from Inseeall
group BY
nomprenom, sexe, datenaiss, substring(lieunaiss,1,2), datedeces, substring(lieudeces,1,2)
HAVING  
COUNT(*)>1;

/*Ajoute du champ Id dans Ecgen*/
update ecgen inner join Inseeall on
(
Inseeall.nomprenom=ecgen.nomprenom AND Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND substring(Inseeall.lieunaiss,1,2)=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND substring(Inseeall.lieudeces,1,2)=ecgen.lieudeces
)
set ecgen.id=Inseeall.id;

/*Positionnement du champ ErCode dans Inseeall pour toutes les fiches dont l'Id n'est pas celle de Ecgen*/
update ecgen inner join Inseeall on 
(
Inseeall.nomprenom=ecgen.nomprenom AND Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND substring(Inseeall.lieunaiss,1,2)=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND substring(Inseeall.lieudeces,1,2)=ecgen.lieudeces
)
set Ercode=101
Where Inseeall.id<>Ecgen.id;

/*
################################################################################
#  Ec100 - Double (nomprenom, sexe, danaiss, lieunaiss, datedeces, lieudeces)  #
################################################################################
*/

/* Peuplement de Ecgen */
truncate table ecgen;

insert into ecgen
select NULL as idec, nomprenom, sexe, datenaiss, lieunaiss, datedeces, lieudeces,0,NULL from Inseeall
group BY
nomprenom, sexe, datenaiss, lieunaiss, datedeces, lieudeces
HAVING  
COUNT(*)>1;

/*Ajoute du champ Id dans Ecgen*/
update ecgen inner join Inseeall on
(
Inseeall.nomprenom=ecgen.nomprenom AND Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND Inseeall.lieudeces=ecgen.lieudeces
)
set ecgen.id=Inseeall.id;

/*Positionnement du champ ErCode dans Inseeall pour toutes les fiches dont l'Id n'est pas celle de Ecgen*/
update ecgen inner join Inseeall on 
(
Inseeall.nomprenom=ecgen.nomprenom AND Inseeall.sexe=ecgen.sexe AND Inseeall.datenaiss=ecgen.datenaiss
AND Inseeall.lieunaiss=ecgen.lieunaiss AND Inseeall.datedeces=ecgen.datedeces AND Inseeall.lieudeces=ecgen.lieudeces
)
set Ercode=100
Where Inseeall.id<>Ecgen.id;


/* 
On annule les doublons si la date de naissance est inconnue c'est trop dangereux en raison de la contrainte réduite,
et vérification faite au moins trois fiches sont concernées.
*/
Update Inseeall set ErCode=3 where datenaiss="00000000";

/*Effacement EcGen*/ 
DROP TABLE ecgen;


#######################################################################################
#                                         InseeShort                                  #
#######################################################################################

DROP TABLE IF EXISTS InseeShort;

CREATE TABLE `inseeshort` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sexe` varchar(1) DEFAULT NULL,
  `datenaiss` varchar(8) DEFAULT NULL,
  `datedeces` varchar(8) DEFAULT NULL,
  `lieudeces` varchar(5) DEFAULT NULL,
  `src` varchar(4) DEFAULT NULL,
  `ercode` int(4) DEFAULT '0',
  `age` int(3) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8;

/* Remplissage */

insert ignore into inseeshort
Select id, sexe, datenaiss, datedeces, lieudeces, src, ercode,

CASE
  WHEN Substring(Datenaiss,5,2)="00" OR Substring(Datenaiss,7,2)="00" 
    THEN 

		Floor((substring(Datedeces,1,4)*365.25+Substring(Datedeces,5,2)*30.5+Substring(Datedeces,7,2)-
		substring(Datenaiss,1,4)*365.25+Substring(Datenaiss,5,2)*30.5+Substring(Datenaiss,7,2))/365.25)

	ELSE

		TIMESTAMPDIFF(YEAR, 
		STR_TO_DATE(DateNaiss, "%Y%m%d"),
		STR_TO_DATE(DateDeces, "%Y%m%d"))
		

END

FROM Inseeall

Where ErCode not in (1,2,3,6,7,8,9,100,101,102,103,104) and substring(lieudeces,1,2) not in ("00","96","97","98","99")
And SubString(DateDeces,1,4)>="2000";

/* Le SQL précédent ne peut "ramasser" des folies du genre 19130229, on va devoir repasser sur les NULL */

Update Inseeshort set Age=

Floor((substring(Datedeces,1,4)*365.25+Substring(Datedeces,5,2)*30.5+Substring(Datedeces,7,2)-
		substring(Datenaiss,1,4)*365.25+Substring(Datenaiss,5,2)*30+Substring(Datenaiss,7,2))/365.25)

Where Age Is Null;

/* on va peut-être effacer les fiches au delà de 117 ans, et en particulier celle qui a 365 ans... */
delete from inseeshort where age>117;

/* Création des Index */

ALTER TABLE `mortalite`.`inseeshort` 
ADD INDEX `Datenaiss` (`datenaiss` ASC),
ADD INDEX `Datedeces` (`datedeces` ASC),
ADD INDEX `LieuDeces` (`lieudeces` ASC),
ADD INDEX `Src` (`src` ASC),
ADD INDEX `Age` (`age` ASC);

#######################################################################################
#                                         InseeResume                                 #
#######################################################################################

DROP TABLE IF EXISTS `inseeresume`;

CREATE TABLE `inseeresume` (
  `dt` datetime DEFAULT NULL,
  `dow` int(11) DEFAULT NULL,
  `biss` int(11) DEFAULT '0',
  `age` int(11) DEFAULT NULL,
  `sexe` int(11) DEFAULT NULL,
  `dep` varchar(2) DEFAULT NULL,
  `deces` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

Insert into inseeresume
select STR_TO_DATE(DateDeces, "%Y%m%d"), DAYOFWEEK(STR_TO_DATE(DateDeces, "%Y%m%d")),
CASE 
	WHEN SubString(DateDeces,5,4)="0229" THEN 1
	ELSE 0
END
,age, sexe, SubString(LieuDeces,1,2), Count(Sexe) from InseeShort
where DateDeces>="2000"
group by STR_TO_DATE(DateDeces, "%Y%m%d"), SubString(LieuDeces,1,2), sexe
order by STR_TO_DATE(DateDeces, "%Y%m%d");

ALTER TABLE `mortalite`.`inseeresume` 
ADD INDEX `Composite` (`dt` ASC, `age` ASC, `sexe` ASC, `dep` ASC);

#######################################################################################
#                                         InseeFine                                   #
#######################################################################################

Call CreateListeFine;

Select "OK, toutes les tâches sont terminées";